Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Thu, 29 Jun 2017 04:34:16 +0300

On 6/28/17 7:48 PM, Eli Zaretskii wrote:

> Dmitry, can you tell why the popup overlay is a single overlay with a
> single multiline string, and not a series of overlays, one each for
> every line shown in the popup?  I assume this caused or could cause
> more serious problems than the current implementation, but what
> problems were those?

Different tradeoffs, some different problems, and a lot of common ones 
(like text scaling, images, character widths, etc).

How would that help with the current issue?

One-line-per-overlay approach will always work worse in display-heavy 
buffers, for instance. Like the 'M-x report-emacs-bug' one. 
auto-complete (with popup.el) use this approach, however. company uses 
the other one.